Package Base Details: bullet-git

Git Clone URL: https://aur.archlinux.org/bullet-git.git (read-only, click to copy)
Submitter: philm
Maintainer: fisch02
Last Packager: philm
Votes: 1
Popularity: 0.000002
First Submitted: 2015-08-13 21:27
Last Updated: 2020-01-05 17:22

Latest Comments

skogler commented on 2020-07-08 12:45

I reported the bug upstream and enabled building of the demos to work around the bug. The package builds and installs successfully now.

skogler commented on 2020-07-08 12:31

Thanks, it seems to be an upstream bug in that they require the examples to be built for some new GUI. I'll look into it.

soloturn commented on 2020-07-07 19:24

switching to ninja would be possible - but the error stays when installing:

$ cat 0001-switch-to-ninja.patch 
From 583036c609c3f3bfed9a048a4daba67e10059cad Mon Sep 17 00:00:00 2001
From: soloturn <soloturn@gmail.com>
Date: Tue, 7 Jul 2020 21:17:13 +0200
Subject: [PATCH] switch to ninja

---
 PKGBUILD | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/PKGBUILD b/PKGBUILD
index 260bc19..3256b35 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,5 +1,5 @@
 pkgname=bullet3-git
-pkgver=r3173.4100db0
+pkgver=r8593.d671fcad2
 pkgrel=1
 pkgdesc="A 3D Collision Detection and Rigid Body Dynamics Library for games and animation"
 arch=('i686' 'x86_64')
@@ -21,6 +21,7 @@ build() {
   cd "$srcdir"

   cmake bullet3 \
+  -GNinja \
   -DCMAKE_INSTALL_PREFIX=/usr \
   -DBUILD_SHARED_LIBS=ON \
   -DBUILD_BULLET3=ON \
@@ -29,10 +30,10 @@ build() {
   -DBUILD_UNIT_TESTS=OFF \
   -DINSTALL_LIBS=ON

-  make
+  ninja
 }

 package() {
   cd "$srcdir"
-  make DESTDIR="$pkgdir" install
+  DESTDIR="${pkgdir}" ninja install
 }
-- 
2.27.0

soloturn commented on 2020-07-07 19:23

the build fails:

[ 79%] Building CXX object Extras/BulletRoboticsGUI/CMakeFiles/BulletRoboticsGUI.dir/__/__/examples/SharedMemory/SharedMemoryInProcessPhysicsC_API.o
[ 79%] Linking CXX shared library libBulletRoboticsGUI.so
/usr/bin/ld: cannot find -lBulletExampleBrowserLib

philm commented on 2020-01-05 17:23

Thanks updated it accordingly

pbnoxious commented on 2020-01-03 11:11

Needs updating as it throws

==> ERROR: pkgbase should not be an array

which is easily fixable by removing the brackets